<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Пример использования</title>
</head>
<body style="text-align:center">
    <h1>Загрузка веб страницы в контейнер DIV</h1>
    <div id="info">Это пред. будет замененено</div>

    <script>
       let params = "url=www.amazon.com";
       request = new XMLHttpRequest();
       //инициализируем запрос статус будет = 1
       request.open("POST", "url_Post.php", true);
       request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
       request.setRequestHeader("Content-type", params.length);
       request.setRequestHeader("Connection", "close");

       request.onreadystatechange = function (){
           if(this.readyState == 4 && this.status == 200 && this.responseText != null  ){
                       document.getElementById('info').innerHTML = this.responseText;
           }
       }
       //отправляем запрос на серверс статус  будет = 2
       request.send(params);
    </script>
</body>
</html>